﻿using System.Collections.Generic;

namespace NeuroExplorer.NexFile
{
    public class Event : Variable
    {
        /// <summary>
        /// Timestamps in seconds.
        /// </summary>
        public List<double> Timestamps { get; set; }

        public Event() : base()
        {
            Timestamps = new List<double>();
        }

        public Event ( string name, double[] timestamps )
        {
            Name = name;
            Timestamps = new List<double>( timestamps );
        }

        public override double MaxTimestamp()
        {
            if ( Timestamps.Count > 0 ) {
                return Timestamps[ Timestamps.Count - 1 ];
            } else {
                return 0;
            }
        }
    }
}
