﻿using System.Collections.Generic;

namespace NeuroExplorer.NexFile
{
    /// <summary>
    /// Interval: contains two timestamp arrays (interval starts and interval ends).
    /// </summary>
    public class Interval : Variable
    {
        /// <summary>
        /// Array of interval starts in seconds
        /// </summary>
        public List<double> IntervalStarts { get; set; }

        /// <summary>
        /// Array of interval ends in seconds
        /// </summary>
        public List<double> IntervalEnds { get; set; }

        public Interval() : base()
        {
            IntervalStarts = new List<double>();
            IntervalEnds = new List<double>();
        }

        public Interval( string name, double[] intStarts, double[] intEnds )
        {
            Name = name;
            IntervalStarts = new List<double>( intStarts );
            IntervalEnds = new List<double>( intEnds );
        }

        public override double MaxTimestamp()
        {
            if ( IntervalEnds.Count > 0 ) {
                return IntervalEnds[ IntervalEnds.Count - 1 ];
            } else {
                return 0;
            }
        }

    }
}
