﻿using System.Collections.Generic;

namespace NeuroExplorer.NexFile
{
    public class Neuron : Event
    {
        /// <summary>
        /// Channel number.
        /// </summary>
        public int WireNumber { get; set; }

        /// <summary>
        /// Unit number.
        /// </summary>
        public int UnitNumber { get; set; }

        /// <summary>
        /// Neuron only, electrode position in [0,100] range, used in 3D displays.
        /// </summary>
        public double XPos { get; set; }

        /// <summary>
        /// Neuron only, electrode position in [0,100] range, used in 3D displays.
        /// </summary>
        public double YPos { get; set; }

        public Neuron() : base()
        {
            WireNumber = 0;
            UnitNumber = 0;
            XPos = 0;
            YPos = 0;
        }

        public Neuron( string name, double[] timestamps )
        {
            Name = name;
            Timestamps = new List<double>( timestamps );

            WireNumber = 0;
            UnitNumber = 0;
            XPos = 0;
            YPos = 0;
        }
    }
}
