﻿using Newtonsoft.Json.Linq;
using System.Collections.Generic;

/// <summary>
/// Metadata for .nex5 file.
/// </summary>
namespace NeuroExplorer.NexFile
{
    public class Position
    {
        public double x = 0;
        public double y = 0;
    }

    public class Probe
    {
        public Position position = null;
        public int wireNumber = 0;
    }

    public class Nex5VarMeta
    {
        public string name = null;
        public Probe probe = null;
        public int unitNumber = 0;
    }

    public class Nex5Meta
    {
        public Dictionary<string, JToken> file = new Dictionary<string, JToken>();
        public List<Nex5VarMeta> variables = new List<Nex5VarMeta>();
    }
}
